package com.example.topadapter;

import com.anythink.core.api.ATAdAppInfo;
import com.open.ad.polyunion.view.NativeAdsResponse;

public class AlexOpenADDownloadAppInfo extends ATAdAppInfo {
    private final String publisher;
    private final String appVersion;
    private final String appPrivacyLink;
    private final String appPermissionLink;
    private final String appName;
    private final long appSize;
    private final String functionUrl;

    public AlexOpenADDownloadAppInfo(NativeAdsResponse mFeedAd) {
        appPrivacyLink = mFeedAd.getPrivacyUrl();
        appPermissionLink = mFeedAd.getPermissionInfoUrl();
        appName = mFeedAd.getAppName();
        publisher = mFeedAd.getDeveloperName();
        appVersion = mFeedAd.getAppVersion();
        appSize = 1;
        functionUrl = "";
    }

    @Override
    public String getFunctionUrl() {
        return functionUrl;
    }

    @Override
    public String getPublisher() {
        return publisher;
    }

    @Override
    public String getAppVersion() {
        return appVersion;
    }

    @Override
    public String getAppPrivacyUrl() {
        return appPrivacyLink;
    }

    @Override
    public String getAppPermissonUrl() {
        return appPermissionLink;
    }

    @Override
    public long getAppSize() {
        return appSize;
    }

    @Override
    public String getAppName() {
        return appName;
    }

    @Override
    public String getAppPackageName() {
        return "";
    }

    @Override
    public String getDownloadCount() {
        return "";
    }

}
